ChangeSet 1.1276.1.24, 2003/08/27 10:52:04-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

- if usb_register fails report back its return code rather than -1


 drivers/usb/media/ov511.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/media/ov511.c b/drivers/usb/media/ov511.c
--- a/drivers/usb/media/ov511.c	Tue Sep  2 12:45:11 2003
+++ b/drivers/usb/media/ov511.c	Tue Sep  2 12:45:11 2003
@@ -6115,13 +6115,16 @@
 static int __init
 usb_ov511_init(void)
 {
+	int retval;
 
-	if (usb_register(&ov511_driver) < 0)
-		return -1;
+	retval = usb_register(&ov511_driver);
+	if (retval)
+		goto out;
 
 	info(DRIVER_VERSION " : " DRIVER_DESC);
 
-	return 0;
+out:
+	return retval;
 }
 
 static void __exit
